# Fields Object

> Source: https://truto.one/docs/api-reference/unified-e-signature-api/fields/

Schema for the `Fields` resource in **Unified E-Signature API**.

## Properties

- **`id`** _(string)_
  The field's unique identifier
- **`name`** _(string)_
  The field's name. This is the name of the property in the entity.
- **`label`** _(string)_
  The field's label
- **`description`** _(string)_
  The field's description
- **`type`** _(string)_
  The field's type
  Allowed: `string`, `text`, `rich_text`, `number`, `boolean`, `date`, `datetime`, `time`, `enum`, `array`, `file`, `address`
- **`is_hidden`** _(boolean)_
  Whether the field is hidden
- **`is_unique`** _(boolean)_
  Whether the field is unique
- **`is_required`** _(boolean)_
  Whether the field is required
- **`is_editable`** _(boolean)_
  Whether the field is editable
- **`options`** _(array<object>)_
  The field's options
  - **`label`** _(string)_
    The option's label
  - **`value`** _(string)_
    The option's value
  - **`description`** _(string)_
    The option's description
  - **`is_hidden`** _(boolean)_
    Whether the option is hidden
- **`is_user_defined`** _(boolean)_
  Whether the field is user defined
- **`entity_type`** _(string)_
  The entity type the field belongs to
  Allowed: `workflow`, `template`
- **`field_groups`** _(array<object>)_
  - **`id`** _(string)_
    The field group's unique identifier
  - **`name`** _(string)_
    The field group's name
- **`created_at`** _(string)_
  The date and time of the field's creation
- **`updated_at`** _(string)_
  The date and time of the field's last update
- **`urls`** _(array<object>)_
  The field's urls
  - **`url`** _(string)_
    The field's URL
  - **`type`** _(string)_
    The field's URL type
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/e-signature/fields](/docs/api-reference/unified-e-signature-api/fields/list) — List Fields
